From c8a5317e67c66ccbbb3acabf922fd45dae2fefb0 Mon Sep 17 00:00:00 2001
From: Ryan Pavlik <rpavlik@iastate.edu>
Date: Thu, 3 Nov 2011 19:27:37 -0500
Subject: [PATCH 09/43] os/utils.c: Use winxp or better for Winsock API

---
 os/utils.c |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

diff --git a/os/utils.c b/os/utils.c
index 97e6a6c..12b9deb 100644
--- a/os/utils.c
+++ b/os/utils.c
@@ -64,6 +64,9 @@ __stdcall unsigned long GetTickCount(void);
 #endif
 
 #if defined(WIN32) && !defined(__CYGWIN__)
+#ifndef _WIN32_WINNT
+#define _WIN32_WINNT 0x0501
+#endif
 #include <X11/Xwinsock.h>
 #endif
 #include <X11/Xos.h>
-- 
1.7.7.1

